Cada vez que una distro libre parchea un paquete, muere un gatito

Estándar
Imagen

Imagen tomada de Inciclopedia. La SGAE no tiene nada que ver con este artículo, simplemente también mata gatitos.

Cada vez aparecen más y más excepciones de software no libre (u otras cosas incompatibles con este) en paquetes de software libre. Y cada vez en paquetes más importantes. Cuanto más engrosen los parches de las distribuciones de GNU 100% libres, más se separarán los proyectos originales de la filosofía del software libre, y más trabas encontrará el progreso del software libre. Creedme, el número de parches de una distro libre será nuestro mejor indicador de cómo de pervertido está el mundo ahí fuera.

Hasta ahora la mentalidad era: Hay un programa privativo muy bueno, ¡hagamos una versión libre! Ahora avanzamos a: Hay un programa con bastante material libre muy bueno, ¡hagamos una versión libre!

El software libre es demasiado potente. Desde el momento que se encandila a la gente con sus beneficios, no hace falta decir nada más, no hace falta decir por qué es tan jodidamente bueno que el software sea libre. El usuario solo piensa en gratis y lo chulo que se ve. El programador solo piensa en lo popular que se está haciendo dado el montón de amigos que tiene en GitHub. Todos felices, en un modelo cuyo objetivo no es la felicidad.

Por favor, reivindica software libre. Como usuarios tenemos que exigir a los proyectos de software libre que más utilizamos que se mantengan libres. Tenemos que meter la filosofía libre en sus IRCs, foros, listas de correo, líneas de código, etc. mucho antes de que descubramos que no son libres realmente. Para ello es fundamental llamar a las cosas por su nombre y poner la libertad como prioridad número uno.

No podemos aceptar diezmar aún más nuestras fuerzas. Esperemos al menos que nuestras versiones libres hagan mella en los proyectos y/o distribuciones originales, sintiéndose culpables, o perdedores de usuarios. Probablemente así serán ellos los que escriban la versión libre de su software libre.

Anuncios

»

  1. Pues a mi me parece, en Trisquel 4.0.1, he encontrado otro paquete con problemas. Se trata de que necesita de cierta pieza no libre para funcionar. Lo echaré un ojo mejor, y ya lo reportaré si estoy en lo cierto. Afortunadamente este tipo de bugs tienen alta prioridad en Trisquel y otras distros libres.

    Saludos y felicidades por el magnifico blog.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s